onEvent('recipes', e => {
    function modifyShaped(result, count, pattern, ingredients) {
        e.remove({
            output: result,
            type: 'minecraft:crafting_shaped'
        })
        e.shaped(item.of(result, count),
            pattern,
            ingredients
        ).id(`kubejs_${result}`)
    }

    modifyShaped('biggerreactors:turbine_computer_port', 1,[
        'CRC',
        'GPG',
        'CRC'
    ],{
        C:'biggerreactors:turbine_casing',
        R:'minecraft:redstone',
        G:'minecraft:gold_ingot',
        P:'minecraft:repeater',
    })

    modifyShaped('biggerreactors:reactor_computer_port', 1,[
        'CRC',
        'GPG',
        'CRC'
    ],{
        C:'biggerreactors:reactor_casing',
        R:'minecraft:redstone',
        G:'minecraft:gold_ingot',
        P:'minecraft:repeater',
    })

    modifyShaped('biggerreactors:heat_exchanger_computer_port', 1,[
        'CRC',
        'GPG',
        'CRC'
    ],{
        C:'biggerreactors:heat_exchanger_casing',
        R:'minecraft:redstone',
        G:'minecraft:gold_ingot',
        P:'minecraft:repeater',
    })
})
